← OBPv7.0.0 Get Customer Links by CUSTOMER_ID GET /obp/v7.0.0/banks/BANK_ID/customers/CUSTOMER_ID/customer-links OBPv6.0.0-getCustomerLinksByCustomerId Roles: CanGetCustomerLinks(per bank) Customer Get Customer Links by CUSTOMER_ID. Authentication is Required User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh JSON response body fields (9) bank_id gh.29.ukcustomer_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhcustomer_link_id customer_link_idcustomer_links customer_linksdate_inserted date_updated date_updatedother_bank_id other_bank_idother_customer_id other_customer_idrelationship_to relationship_to Example success response { "customer_links": [ { "customer_link_id": "613c83ea-80f9-4560-8404-b9cd4ec42a7f", "bank_id": "gh.29.uk", "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "other_bank_id": "gh.29.uk", "other_customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "relationship_to": "spouse", "date_inserted": "1100-01-01T00:00:00Z", "date_updated": "1100-01-01T00:00:00Z" } ] } Possible errors (5) OBP-20001: User not logged in. Authentication is required!OBP-30001: Bank not found. Please specify a valid value for BANK_ID.OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.